Name:           telepathy-qt4
Version:        0.8.0
Release:        1%{?dist}
Summary:        A high-level bindings for Telepathy

License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/Telepathy-Qt4
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: dbus-python
BuildRequires: doxygen
BuildRequires: pkgconfig(gstreamer-interfaces-0.10) 
BuildRequires: pkgconfig(QtDBus) pkgconfig(QtNetwork) pkgconfig(QtXml)
# unit tests
BuildRequires: pkgconfig(telepathy-glib) >= 0.15.1
BuildRequires: pkgconfig(telepathy-farsight) 

# not sure if this is still needed or not -- rex
Requires: gnome-keyring

%description
Telepathy-qt4 are high level bindings for Telepathy and provides both
the low level 1:1 auto generated API, and a high-level API build
on top of that, in the same library.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: telepathy-filesystem
%description devel
%{summary}.

# TODO: docs subpackage

%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYING AUTHORS NEWS README ChangeLog
%{_libdir}/libtelepathy-qt4.so.1*
%{_libdir}/libtelepathy-qt4-farsight.so.1*

%files devel
%doc HACKING
%{_includedir}/telepathy-1.0/TelepathyQt4/
%{_libdir}/libtelepathy-qt4.so
%{_libdir}/libtelepathy-qt4-farsight.so
%{_libdir}/pkgconfig/TelepathyQt4.pc
%{_libdir}/pkgconfig/TelepathyQt4Farsight.pc


%changelog
* Sat Nov 19 2011 Rex Dieter <rdieter@fedoraproject.org> 0.8.0-1
- 0.8.0

* Mon Nov 07 2011 Rex Dieter <rdieter@fedoraproject.org> 0.7.3-1
- 0.7.3
- pkgconfig-style deps

* Wed Aug 10 2011 Rex Dieter <rdieter@fedoraproject.org> 0.7.2-1
- 0.7.2
- Requires: gnome-keyring

* Fri Jul 15 2011 Jaroslav Reznik <jreznik@redhat.com> - 0.7.1-1
- initial package
